include ../../components/visualizar/endereco
include ../../components/visualizar/pessoaJuridica
include ../../components/visualizar/pessoaFisica
include ../../components/visualizar/contato
include ../../components/visualizar/pessoas
include ../../components/visualizar/modalVisualizacaoPessoa

.responsive
	h1.page-header
		| Visualização de empreendimento

div.panel.panel-default(ng-if="empreendimento.pessoa.tipo.codigo == constantes.CODIGO_PESSOA_FISICA")

	div.panel-heading

		h3.panel-title

			a.accordion-toggle(data-toggle="collapse", data-target="#empreendimento", data-parent="#empreendimento") Empreendimento

	div.panel-collapse.collapse.in(id="empreendimento")

		div.panel-body

			.row.linhaVisualizar
				.col-sm-12
					Strong Denominacao:
					span(ng-bind='empreendimento.denominacao')

			+pessoaFisica("empreendimento.pessoa","empreendimento.denominacao")

div.panel.panel-default(ng-if="empreendimento.pessoa.tipo.codigo == constantes.CODIGO_PESSOA_JURIDICA")

	div.panel-heading

		h3.panel-title

			a.accordion-toggle(data-toggle="collapse", data-target="#empreendimento", data-parent="#empreendimento") Empreendimento

	div.panel-collapse.collapse.in(id="empreendimento")

		div.panel-body

			.row.linhaVisualizar
				.col-sm-6
					Strong Denominacao:
					span(ng-bind='empreendimento.denominacao')

			+pessoaJuridica("empreendimento.pessoa","empreendimento.denominacao")

div.panel.panel-default

	div.panel-heading

		h3.panel-title

			a.accordion-toggle(data-toggle="collapse", data-target="#contatos", data-parent="#contatos") Contatos

	div.panel-collapse.collapse.in(id="contatos")

		div.panel-body

			+contato("empreendimento.contatos", "classRuleContatos")

div.panel.panel-default

	div.panel-heading

		h3.panel-title

			a.accordion-toggle(data-toggle="collapse", data-target="#enderecoPrincipal", data-parent="#enderecoPrincipal") Endereço principal

	div.panel-collapse.collapse.in(id="enderecoPrincipal")

		div.panel-body

			+endereco("enderecoPrincipal", "false")

div.panel.panel-default

	div.panel-heading

		h3.panel-title

			a.accordion-toggle(data-toggle="collapse", data-target="#enderecoCorrespondencia", data-parent="#enderecoCorrespondencia") Endereço de correspondência

	div.panel-collapse.collapse.in(id="enderecoCorrespondencia")

		div.panel-body

			+endereco("enderecoCorrespondencia", "true")

div.panel.panel-default

	div.panel-heading

		h3.panel-title

			a.accordion-toggle(data-toggle="collapse", data-target="#localizacao", data-parent="#localizacao") Localização

	div.panel-collapse.collapse.in(id="localizacao")

		div.panel-body.no-padding

			#mapa

div.panel.panel-default

	div.panel-heading

		h3.panel-title

			a.accordion-toggle(data-toggle="collapse", data-target="#proprietarios", data-parent="#proprietarios") Proprietários

	div.panel-collapse.collapse.in(id="proprietarios")

		div.panel-body

			+pessoas("empreendimento.proprietarios","true")

			center
				span(ng-if="empreendimento.proprietarios.length === 0")
					| Não existem proprietários vinculados a este empreendimento.

div.panel.panel-default

	div.panel-heading

		h3.panel-title

			a.accordion-toggle(data-toggle="collapse", data-target="#representantesLegais", data-parent="#representantesLegais") Representantes legais

	div.panel-collapse.collapse.in(id="representantesLegais")

		div.panel-body

			+pessoas("empreendimento.representantesLegais")

			center
				span(ng-if="empreendimento.representantesLegais.length === 0")
					| Não existem representantes legais vinculados a este empreendimento.

div.panel.panel-default

	div.panel-heading

		h3.panel-title

			a.accordion-toggle(data-toggle="collapse", data-target="#responsaveisLegais", data-parent="#responsaveisLegais") Responsáveis legais

	div.panel-collapse.collapse.in(id="responsaveisLegais")

		div.panel-body

			+pessoas("empreendimento.responsaveisLegais")

			center
				span(ng-if="empreendimento.responsaveisLegais.length === 0")
					| Não existem responsáveis legais vinculados a este empreendimento.

div.panel.panel-default

	div.panel-heading

		h3.panel-title

			a.accordion-toggle(data-toggle="collapse", data-target="#responsaveisTecnicos", data-parent="#responsaveisTecnicos") Responsáveis técnicos

	div.panel-collapse.collapse.in(id="responsaveisTecnicos")

		div.panel-body

			+pessoas("empreendimento.responsaveisTecnicos","true")

			center
				span(ng-if="empreendimento.responsaveisTecnicos.length === 0")
					| Não existem responsáveis técnicos vinculados a este empreendimento.

div
	button.btn.btn-default.btn-raised(type='button', ng-click='voltar()') Voltar
